## org.aspectj.lang
Class NoAspectBoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.aspectj.lang.NoAspectBoundException

All Implemented Interfaces:
  java.io.Serializable

    public class NoAspectBoundException

extends java.lang.RuntimeException

Thrown by the `aspectOf` special method on aspect types when there is no aspect of that type currently bound.

See Also:
  Serialized Form

Constructor Summary
`NoAspectBoundException()`
`NoAspectBoundException(java.lang.String aspectName, java.lang.Throwable inner)`

Method Summary
`java.lang.Throwable` `getCause()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoAspectBoundException

    public NoAspectBoundException(java.lang.String aspectName,
                                  java.lang.Throwable inner)

### NoAspectBoundException

    public NoAspectBoundException()

Method Detail

### getCause

    public java.lang.Throwable getCause()

  Overrides:
    `getCause` in class `java.lang.Throwable`